using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace Core_Grid_CRUD.Models
{
    public class OrderViewModel
    {
        [Key]
        //[ScaffoldColumn(false)]
        [Required]
        public int OrderID
        {
            get;
            set;
        }
        public double? Freight
        {
            get;
            set;
        }
        [Required]
        [DisplayFormat(DataFormatString = "{0:dd MMM yyyy}", NullDisplayText = "Unknown"/*, ApplyFormatInEditMode = true*/)]
        public DateTime? OrderDate
        {
            get;
            set;
        }
        //public DateTime? ExpectedDate
        //{
        //    get;
        //    set;
        //}
        public string ShipCity
        {
            get;
            set;
        }
        [Required]
        public string ShipName
        {
            get;
            set;
        }
        public bool Arrived { get; set; }
    }
}
